Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1411522 - "Update certificate" button does not work
Summary: "Update certificate" button does not work
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: qdigidoc
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mihkel Vain
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-09 21:34 UTC by Germano Massullo
Modified: 2017-01-19 06:20 UTC (History)
4 users (show)

Fixed In Version: qdigidoc-3.12.3-1.fc25 qdigidoc-3.12.3-1.fc24
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-19 05:54:23 UTC
Type: Bug


Attachments (Terms of Use)

Description Germano Massullo 2017-01-09 21:34:35 UTC
Recently Estonian authorities asked eeste-id users to update ID card certificates. So I opened qdigidoc, and as you can see in screenshot [1], the applications says that the certificate needs to be updated. So I click on "Update" button but the application, instead of updating the certificate, it simply opens ID-card utility as shown in screenshot [2]

Upstream bugreport https://github.com/open-eid/qdigidoc/issues/46

Version 3.12.2

[1]: https://germano.fedorapeople.org/canc/eeste-id/1.jpeg
[2]: https://germano.fedorapeople.org/canc/eeste-id/2.jpeg

Comment 1 Mihkel Vain 2017-01-10 19:11:52 UTC
This might be due to fact that koji does not support networking while building, so I have to hack my way through :)

https://github.com/open-eid/qdigidoc/wiki/DeveloperTips

I will prepare an updated build with latest upstream release and with files, that are needed for certificate update. Hopefully this will resolv this issue for a while.

Comment 2 Fedora Update System 2017-01-10 20:06:34 UTC
qdigidoc-3.12.3-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-d4291ddbc1

Comment 3 Fedora Update System 2017-01-10 20:07:07 UTC
qdigidoc-3.12.3-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-bb7ea7d414

Comment 4 Fedora Update System 2017-01-10 20:16:24 UTC
qesteidutil-3.12.4-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-23e209b1f5

Comment 5 Fedora Update System 2017-01-10 20:16:54 UTC
qesteidutil-3.12.4-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-b0b1167cce

Comment 6 Fedora Update System 2017-01-11 03:23:00 UTC
qdigidoc-3.12.3-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-d4291ddbc1

Comment 7 Fedora Update System 2017-01-11 03:23:07 UTC
qesteidutil-3.12.4-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-23e209b1f5

Comment 8 Fedora Update System 2017-01-11 03:49:29 UTC
qdigidoc-3.12.3-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-bb7ea7d414

Comment 9 Fedora Update System 2017-01-11 03:49:35 UTC
qesteidutil-3.12.4-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-b0b1167cce

Comment 10 Germano Massullo 2017-01-11 09:43:42 UTC
Certificate update successfully accomplished

https://bodhi.fedoraproject.org/updates/qesteidutil-3.12.4-1.fc25#comment-547333

Comment 11 Germano Massullo 2017-01-11 09:44:13 UTC
Upstream bugreport closed with resolution "fixed downstream"

Comment 12 Fedora Update System 2017-01-19 05:54:23 UTC
qdigidoc-3.12.3-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2017-01-19 05:54:30 UTC
qesteidutil-3.12.4-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2017-01-19 06:20:37 UTC
qdigidoc-3.12.3-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2017-01-19 06:20:42 UTC
qesteidutil-3.12.4-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.